# Command: CGParse

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    CGParse - Call ConnectionGenerator::fromXML() and return a
      ConnectionGenerator

Synopsis:

      xml_string CGParse -> cg

Description:

      Return a ConnectionGenerator created by deserializing the given
      XML string. The library to parse the XML string can be selected using
      CGSelectImplementation

Parameters:

      xml_string	- The XML string to parse.

Author:

    Jochen Martin Eppler

FirstVersion:

    September 2013

SeeAlso:

- CGParseFile
- CGConnect
- CGSelectImplementation
- cgstart
- cgsetmask
- cgnext

Source:

    /opt/conda/conda-bld/nest_1512418852064/work/nest-2.12.0/conngen/conngenmodule.cpp

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative